Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002605 [JEDI VCL] 00 JVCL Components minor always 2005-02-05 06:56 2005-02-17 03:19
Reporter anonymous View Status public  
Assigned To jfudickar
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0002605: TJvCustomAppMemoryFileStorage.GetFullFileName bug?
Description i have set the TJvAppXMLFileStorage like this:
  FLayout := TJvAppXMLFileStorage.Create(nil);
  FLayout.AutoFlush := True;
  FLayout.RootNodeName := 'Layouts';
  FLayout.Location := flCustom;
  FLayout.OnGetFileName := getLayoutFileName;

the getLayoutFileName doesn't get called unles I pre set the fileName property I think that the bug is in TJvCustomAppMemoryFileStorage.GetFullFileName

The code shoud read as:
  if FileName <> '' then
    Result := FileName
  else
  begin
Additional Information
Tags No tags attached.
Attached Files zip file icon 0002605_TJvCustomAppMemoryFileStorage.GetFullFileName.zip [^] (4,773 bytes) 2005-02-09 01:46

- Relationships

-  Notes
(0006440)
jfudickar (developer)
2005-02-08 10:12

COuld you create a small sample app and add it to this entry?

Thanks
Jens
(0006501)
jfudickar (developer)
2005-02-15 17:14

Thansk for your sample. It helps allways (me).

It was a little bit more complex, but now it should be fixed in cvs. Please give it a try.
(0006510)
anonymous (viewer)
2005-02-17 01:52

I think you can consider this issue closed.
(0006511)
jfudickar (developer)
2005-02-17 03:19

As suggested by user :-)

- Issue History
Date Modified Username Field Change
2005-02-05 06:56 anonymous New Issue
2005-02-08 10:12 jfudickar Note Added: 0006440
2005-02-08 10:12 jfudickar Status new => feedback
2005-02-09 01:46 anonymous File Added: 0002605_TJvCustomAppMemoryFileStorage.GetFullFileName.zip
2005-02-09 09:01 jfudickar Status feedback => assigned
2005-02-09 09:01 jfudickar Assigned To => jfudickar
2005-02-09 09:01 jfudickar Issue Monitored: jfudickar
2005-02-15 17:14 jfudickar Note Added: 0006501
2005-02-15 17:14 jfudickar Status assigned => feedback
2005-02-17 01:52 anonymous Note Added: 0006510
2005-02-17 03:19 jfudickar Status feedback => resolved
2005-02-17 03:19 jfudickar Fixed in Version => 3.00
2005-02-17 03:19 jfudickar Resolution open => fixed
2005-02-17 03:19 jfudickar Note Added: 0006511


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker